Bug 610902 - Modify perl-Mozilla-LDAP to use open ldap library
Modify perl-Mozilla-LDAP to use open ldap library
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl-Mozilla-LDAP (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: screened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 13:35 EDT by Dmitri Pal
Modified: 2015-01-04 18:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2010-07-02 13:35:19 EDT
We are dropping mozldap and moving to openldap. The perl-Mozilla-LDAP need to be modified to drop dependency for mozldap.
Comment 1 Matěj Cepl 2010-07-19 16:01:15 EDT
Nothing to triage here.
Comment 2 Nathan Kinder 2010-07-29 14:19:59 EDT
This has been logged as a bug upstream at Mozilla: https://bugzilla.mozilla.org/show_bug.cgi?id=582295
Comment 3 Nathan Kinder 2010-08-03 17:29:41 EDT
The patches for this have been submitted upstream.  I am working on getting this newer version of perl-Mozilla-LDAP package built against OpenLDAP and put into rawhide.
Comment 4 Rich Megginson 2010-11-05 17:10:05 EDT
Checking in .cvsignore;
/cvs/dist/rpms/perl-Mozilla-LDAP/RHEL-6/.cvsignore,v  <--  .cvsignore
new revision: 1.6; previous revision: 1.5
done
RCS file: /cvs/dist/rpms/perl-Mozilla-LDAP/RHEL-6/Makefile.PL.rpm,v
done
Checking in Makefile.PL.rpm;
/cvs/dist/rpms/perl-Mozilla-LDAP/RHEL-6/Makefile.PL.rpm,v  <--  Makefile.PL.rpm
initial revision: 1.1
done
Checking in perl-Mozilla-LDAP.spec;
/cvs/dist/rpms/perl-Mozilla-LDAP/RHEL-6/perl-Mozilla-LDAP.spec,v  <--  perl-Mozilla-LDAP.spec
new revision: 1.7; previous revision: 1.6
done
Checking in sources;
/cvs/dist/rpms/perl-Mozilla-LDAP/RHEL-6/sources,v  <--  sources
new revision: 1.6; previous revision: 1.5
done

/cvs/dist/rpms/perl-Mozilla-LDAP/RHEL-6/perl-Mozilla-LDAP.spec,v  <--  perl-Mozilla-LDAP.spec
new revision: 1.8; previous revision: 1.7
done

perl-Mozilla-LDAP-1_5_3-1_el6 is now built
Comment 6 Jenny Galipeau 2011-04-06 15:24:08 EDT
devel task is done - marking verified

# rpm -qi perl-Mozilla-LDAP
Name        : perl-Mozilla-LDAP            Relocations: (not relocatable)
Version     : 1.5.3                             Vendor: Red Hat, Inc.
Release     : 4.el6                         Build Date: Tue 11 Jan 2011 04:51:58 PM EST
Install Date: Wed 06 Apr 2011 03:16:52 PM EDT      Build Host: x86-003.build.bos.redhat.com
Group       : Development/Libraries         Source RPM: perl-Mozilla-LDAP-1.5.3-4.el6.src.rpm
Size        : 503069                           License: GPLv2+ and LGPLv2+ and MPLv1.1
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.mozilla.org/directory/perldap.html
Summary     : LDAP Perl module that wraps the OpenLDAP C SDK
Description :
LDAP Perl module that wraps the OpenLDAP C SDK.

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.1 Beta (Santiago)
Comment 7 errata-xmlrpc 2011-05-19 08:28:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0529.html

Note You need to log in before you can comment on or make changes to this bug.